Page MenuHomePhabricator

Add the ability to simultaneously search all languages on the on-wiki search page
Open, NormalPublic

Description

Author: brian

Description:
It is currently not possible to search all languages
unless you search through an external search engine, but I
don't think most people realise how this works, and the
convenient links to other search engines won't be
available once we get the new database servers.

I show below an unsigned comment that came from
[[Meta:Wikimedia site feedback]]:

Today I was looking for "Kalignost" which happens to be a
german brandname for tetraphenylborate. The english
language search didn't come up with anything, not even
links to "other languages" ... with reference to the
previous point, I would think this could be helpful ...


Workaround: Install wdsearch on your wiki to help progress.
See Also:

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 8 support votes, and was ranked #73 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Search#Multilingual_search

Details

Reference
bz1837

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:18 PM
bzimport set Reference to bz1837.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 7 2005, 3:44 AM

brian wrote:

And here's the section that was immediately above that on
[[Meta:Wikimedia site feedback]]:

word count for wikipedia "other languages" links?

I can read a few languages fluently and make sense of quite some
more, so I find the "other languages" links quite useful. However,
if there is a range of other language articles available, all
different, of course, it becomes hard to judge which ones bear
looking at. How hard would it be to append a word count to the links?

:Hi. I suggest that you discuss such features on wikitech-
l@wikimedia.org. We hope that one day we could choose the languages
to see in our preferences. Thanks. [[User:Anthere|Anthere]] 18:38, 1
Mar 2005 (UTC)

gangleri wrote:

related topics?:
bug 1837: Search all languages
bug 1640: add title searching across all wikis

brion added a comment.Oct 6 2005, 10:54 PM
  • Bug 1640 has been marked as a duplicate of this bug. ***
brion added a comment.Oct 6 2005, 10:55 PM

Might be possible by restructuring the lucene index; currently we have a
separate index for each wiki, but in theory we could roll them all together and
key on some group / language fields to restrict to single wikis or allow
searching a bunch.

Not sure how feasible this is, but might experiment with it.

Wiki.Melancholie wrote:

Have a look on [[wikicities:Special:Search]] to see how this could work.

Wiki.Melancholie wrote:

Hmm, working link: http://wikicities.com/wiki/Special:Search

*** Bug 10044 has been marked as a duplicate of this bug. ***

petr.castek wrote:

I suggest to add combobox with English, German, All language, optionally Current Language to a Search result page, and optionally to a search box in the left menu bar such as.
<pre><!--
<div id="p-search" class="portlet">

		<h5><label for="searchInput">Search</label></h5>
		<div id="searchBody" class="pBody">
			<form action="/w/index.php" id="searchform"><div>
				<input type='hidden' name="title" value="Special:Search"/>
				<input id="searchInput" name="search" type="text" title="Search Wikipedia [f]" accesskey="f" value="" />
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="Go" title="Go to a page with this exact name if one exists" />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="Search" title="Search Wikipedia for this text" />
			</div></form>
		</div>

</div>
--></pre>

fences_and_windows wrote:

I don't seem to be able to vote, but as I signed up to Bugzilla especially... I vote for this!

armbrust wrote:

There was a discussion between October and December last year about multilingual search at the Village Pump/Proposal of the en.Wikipedia (now archived there: http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29/Archive_83#Multilingual_search_results_for_registered_Wikipedians.) There was a clear consensus to enable this feature for registered users on an opt-in basis.

  • Bug 22420 has been marked as a duplicate of this bug. ***
  • Bug 44038 has been marked as a duplicate of this bug. ***
  • Bug 47484 has been marked as a duplicate of this bug. ***
demon added a comment.Oct 23 2013, 6:06 PM

WONTFIX for lsearchd. We already have bug 44420 tracking this in Cirrus.

(Thanks Chad for this bug triaging!)

(In reply to comment #14)

WONTFIX for lsearchd. We already have bug 44420 tracking this in Cirrus.

Uh? How are they related? That's about sister projects, this about languages: that feature was used in Special:Search, this could be e.g. in the project portals.

Nemo_bis reopened this task as Open.Jul 25 2015, 3:31 AM

Reopen to track a specific possible feature now that T46420 is fixed.
Cf. https://lists.wikimedia.org/pipermail/wikimedia-search/2015-July/000238.html

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2015, 3:31 AM
Nemo_bis set Security to None.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 25 2015, 3:32 AM

No, these are both unrelated AFAICT.

Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:17 AM
demon removed a subscriber: demon.Aug 19 2015, 4:07 PM

Change 241226 had a related patch set uploaded (by Smalyshev):
Enable A/B test for combined language search.

https://gerrit.wikimedia.org/r/241226

Change 241226 merged by jenkins-bot:
Enable A/B test for combined language search.

https://gerrit.wikimedia.org/r/241226

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 29 2015, 11:37 PM
Deskana renamed this task from Search all languages to Add the ability to simultaneously search all languages on the on-wiki search page.Dec 29 2015, 11:38 PM
Deskana lowered the priority of this task from Normal to Lowest.
Deskana added a subscriber: Deskana.

There are possible performance indications here, and tons of open product questions. For example, the results from each wiki are ranked relative to the results from the other wikis, so there is no sensible way of ranking a set of results with origins on multiple wikis. We'd need to resolve such questions. There's also the question of whether this would be helpful, as it's kind of a "stick your face in the hose" approach to consuming information.

Nemo_bis raised the priority of this task from Lowest to Normal.Dec 30 2015, 7:31 AM

Definitely not lowest priority. It's fine if you don't want to work on this (feel free to remove projects), but others can. In the meanwhile, wikis can use gadgets.

Nemo_bis updated the task description. (Show Details)Dec 30 2015, 7:33 AM
Sophivorus added a subscriber: Sophivorus.EditedAug 20 2016, 5:45 PM

Rather than returning results in other languages, the search engine could return the local equivalent of the matched articles.

Following the example above, if I search "Kalignost" in the English Wikipedia, the search engine should be able to determine that there's a relevant result in the German Wikipedia, and return the English equivalent of the article (in this case Sodium tetraphenylborate) by following the interwiki link.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 20 2016, 5:45 PM
matej_suchanek updated the task description. (Show Details)
matej_suchanek removed a subscriber: wikibugs-l-list.

T118278: EPIC: Improve Language Identification for use in Cirrus Search is an automated/user-friendly version of this feature, but I don't understand whether we provide any way for users to force a search to be run on all languages at once. It seems not.

Hi all,
I would like to know whether this project is still active.
I'm looking for sort of a wiki universal search box, where I get results from different wikipedias, based on the languages I've "turned on".
Is this possible?

Currently, it is really tedious for multi-language users to search for different languages in different wikis.

Best

@Alireza1357: Not sure what "active" means. This task was set to lowest priority by folks with engineering capacity in order to reflect reality.
@Nemo_bis might be able to explain recent progress as he raised the task priority to 'normal' in T3837#1909667...
For the records, related work (but not the same thing) is currently ongoing: https://www.mediawiki.org/wiki/Cross-wiki_Search_Result_Improvements

@Alireza1357 Discovery is not working on this and currently has no plans to.

It would be possible for someone to put together a little app in Labs that does something like this. Off the top of my head, a quick and easy way to do it would be to hardcode the URLs for all the Wikipedia APIs, issue a request to every API for the term the user put in, and show the results from each project. There shouldn't be much of a performance problem with CirrusSearch if you did this. Very hacky, but it'd be pretty easy and it'd work.